Bug 690728 - (Nitrate) Review Request: Nitrate - A test case management system written in Django
Review Request: Nitrate - A test case management system written in Django
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: tinymce 728823 728826 xml2dict
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2011-03-25 03:48 EDT by Yuguang Wang
Modified: 2015-12-11 11:05 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-11 11:05:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yuguang Wang 2011-03-25 03:48:19 EDT
Spec URL: http://yuwang.fedorapeople.org/nitrate.spec
SRPM URL: http://yuwang.fedorapeople.org/nitrate-3.3-4.src.rpm
Description: 
Nitrate a new test case management system, it's written in Python and uses the Django web framework.

Its features include:

Managers with a source of information on planning, cases and execution status.
Reproducibility across planning, cases and execution.
Audit traceability.
Increased productivity - Associates are able to identify and work on gaps in product coverage
Fully functional XML-RPC interface.
Multiple authentication backends.
Comment 1 Mario Blättermann 2011-03-27 13:49:06 EDT
Some initial issues:

- Release: shouldn't be a number only, use 1%{?dist} instead.
- Source0 has to be a downloadable link, not a filename only.
- %{python_sitelib}/* means that your package owns the whole folder,
  it should mention at least the appropriate subfolders for your package files:
  %{python_sitelib}/tcms/*
  %{python_sitelib}/Nitrate-%{version}-py2.7.egg-info/*
- The %changelog section at the end of the spec is actually not to use for
  changes to the sources, it's for changes to the package itself. In my mind,
  you should drop it because it's not really useful here. The whole source
  changelog has to be included in the package itself.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2950863
Comment 2 Martin Gieseking 2011-03-27 14:11:40 EDT
(In reply to comment #1)
> - %{python_sitelib}/* means that your package owns the whole folder,
>   it should mention at least the appropriate subfolders for your package files:
>   %{python_sitelib}/tcms/*
>   %{python_sitelib}/Nitrate-%{version}-py2.7.egg-info/*

Right, but the asterisks must be omitted. Otherwise, the package doesn't own the folders any longer but only their contents.
Comment 3 Susi Lehtola 2011-03-27 14:38:51 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > - %{python_sitelib}/* means that your package owns the whole folder,
> >   it should mention at least the appropriate subfolders for your package files:
> >   %{python_sitelib}/tcms/*
> >   %{python_sitelib}/Nitrate-%{version}-py2.7.egg-info/*
> 
> Right, but the asterisks must be omitted. Otherwise, the package doesn't own
> the folders any longer but only their contents.

And you don't want to be explicit about the version of python itself, so this should be just
 %{python_sitelib}/tcms/
 %{python_sitelib}/Nitrate-%{version}-py*.egg-info/
Comment 4 Susi Lehtola 2011-03-27 16:54:16 EDT
(In reply to comment #1)
> - The %changelog section at the end of the spec is actually not to use for
>   changes to the sources, it's for changes to the package itself. In my mind,
>   you should drop it because it's not really useful here. The whole source
>   changelog has to be included in the package itself.

In addition, the spec is not conforming to
http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 5 Yuguang Wang 2011-04-01 06:36:34 EDT
hi, really sorry for the delay, I've missed the comments.
Thanks for all your help, following is the updated spec file:

https://fedorahosted.org/nitrate/browser/trunk/nitrate/nitrate.spec

BTW, I've moved the srpm file to following location:
https://fedorahosted.org/releases/n/i/nitrate/nitrate-3.3-4.src.rpm

Thanks.
Comment 6 Mario Blättermann 2011-04-01 10:20:41 EDT
Who needs all this ChangeLog stuff...? As I already wrote, the package itself should contain a log for changes in the sources. Our package ChangeLog is for changes to the package. No one needs overwhelming infos about fixed bugs.
Comment 7 Martin Gieseking 2011-04-01 10:36:33 EDT
Yuguang Wang, are you already a member of the packager group? I can't find your email address in the corresponding FAS section. If this is your first Fedora package, please add FE-NEEDSPONSOR to the Blocks field above and have a look at the following pages for further information:

http://fedoraproject.org/wiki/PackageMaintainers/Join
http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 8 Yuguang Wang 2011-04-02 01:35:48 EDT
(In reply to comment #6)
> Who needs all this ChangeLog stuff...? As I already wrote, the package itself
> should contain a log for changes in the sources. Our package ChangeLog is for
> changes to the package. No one needs overwhelming infos about fixed bugs.

hi Mario, 
Thanks for reminding, I've updated the spec file and remove the unnecessary information:
https://fedorahosted.org/nitrate/browser/trunk/nitrate/nitrate.spec


(In reply to comment #7)
> Yuguang Wang, are you already a member of the packager group? I can't find your
> email address in the corresponding FAS section. If this is your first Fedora
> package, please add FE-NEEDSPONSOR to the Blocks field above and have a look at
> the following pages for further information:
> 
> http://fedoraproject.org/wiki/PackageMaintainers/Join
> http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Added, I'm not a member of the packager group so far.
first time first package, too many howtos, I just missed some :(
Thanks for your help :)
Comment 9 Michael Schwendt 2011-04-10 05:11:42 EDT
> %{_datadir}/%{name}/*

And after many years, this is still a packaging mistake.

http://fedoraproject.org/wiki/Packaging/UnownedDirectories
https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

It isn't asked too much to use "rpmls" or "rpm -qlv" at least once when creating a new package.
Comment 10 Michel Alexandre Salim 2011-04-10 16:48:11 EDT
In addition to what Michael pointed out -- it should be
 %{_datadir}/%{name} so the directory itself is RPM-owned,

- source line is invalid. It includes %{release} which would include the disttag that spectool is called from (e.g. 4.fc15 instead of 4). Any reason spec releases should have matching tarballs? normally a single tarball is released per version, and you bump the version number if you need to release a fix. The spec release simply tracks spec changes

- BuildArch should be noarch since the package does not contain arch-dependent files

- the comment for the section dealing with static content is just wrong. They
  are not being moved from arch-specific Python directories (in fact the package
  is actually noarch anyway) but are copied from the source directory
Comment 11 Yuguang Wang 2011-04-14 05:22:13 EDT
(In reply to comment #9)
> > %{_datadir}/%{name}/*
> 
> And after many years, this is still a packaging mistake.
Removed the asterisks from spec file.

(In reply to comment #10)
> - source line is invalid. It includes %{release} which would include the
> disttag that spectool is called from (e.g. 4.fc15 instead of 4). Any reason
> spec releases should have matching tarballs? normally a single tarball is
> released per version, and you bump the version number if you need to release a
> fix. The spec release simply tracks spec changes
> 
Indeed.

> - the comment for the section dealing with static content is just wrong. They
>   are not being moved from arch-specific Python directories (in fact the
> package
>   is actually noarch anyway) but are copied from the source directory
Wow, thanks!

The newly updated spec file:
https://fedorahosted.org/nitrate/browser/trunk/nitrate/nitrate.spec

And the new srpm:
https://fedorahosted.org/releases/n/i/nitrate/nitrate-3.3.4-1.src.rpm

Hope it works this time, any problems please let me know :)
Comment 12 Yuguang Wang 2011-04-14 05:24:59 EDT
As I had limited internet access in the past few days, it's a bit of delay. 
Really sorry for my late reply.
Comment 13 Yuguang Wang 2011-04-20 02:29:59 EDT
hi, any updates on this?
Thanks.
Comment 14 He Rui 2011-04-22 02:48:04 EDT
Since we plan to set up a pilot instance during F-15 testing cycle, the time is very limited for us now, so please speed up this review, and if there's any difficult, feel free to tell. Thanks a lot.
Comment 15 Mario Blättermann 2011-04-24 14:50:39 EDT
(In reply to comment #6)
> Who needs all this ChangeLog stuff...? As I already wrote, the package itself
> should contain a log for changes in the sources. Our package ChangeLog is for
> changes to the package. No one needs overwhelming infos about fixed bugs.

Again: The package ChangeLog is for any changes to the package! You don't have to write here all the release infos. They are included in the source package anywhere else. But I can't find anything in your ChangeLog which would mention the changes you did to tweak the package itself. Please read the guidelines again: http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 16 Yuguang Wang 2011-04-25 01:57:07 EDT
@Mario,

I've read again the changelog guidelines and applied package change infos in spec file, and removed unnecessary release infos:
https://fedorahosted.org/nitrate/browser/trunk/nitrate/nitrate.spec

Thanks!
Comment 17 Mario Blättermann 2011-05-02 15:06:25 EDT
OK. looks better now. For our convenience, it would be fine to place a real download link to the spec file here, instead of the current one:

https://fedorahosted.org/nitrate/export/c2e522948f2ec4126cbf3fd24d2fc30c2a88be9c/trunk/nitrate/nitrate.spec

Hope we hear anything from the assigned reviewer in the nearest future...
Comment 18 Mario Blättermann 2011-05-02 15:16:18 EDT
From the Python packaging guidelines:
(http://fedoraproject.org/wiki/Packaging:Python#BuildRequires)

To build a package containing python2 files, you need to have
BuildRequires: python2-devel
Similarly, when building a package which ships python3 files, you need
BuildRequires: python3-devel
A package that has both python2 and python3 files will need to BuildRequire both.

Please recognize that in BR, depending from the abilities of your package.
Comment 19 Yuguang Wang 2011-05-09 04:41:20 EDT
Thanks for reminding, replaced the python-devel with 'python2-devel':
https://fedorahosted.org/nitrate/browser/trunk/nitrate/nitrate.spec

or download it via:
https://fedorahosted.org/nitrate/export/707d2efb843d58f6ae0a92bce63a0f6ca29068b0/trunk/nitrate/nitrate.spec

The source rpm could be found here:
https://fedorahosted.org/releases/n/i/nitrate/nitrate-3.3.4-1.src.rpm

(In reply to comment #18)
> From the Python packaging guidelines:
> (http://fedoraproject.org/wiki/Packaging:Python#BuildRequires)
> 
> To build a package containing python2 files, you need to have
> BuildRequires: python2-devel
> Similarly, when building a package which ships python3 files, you need
> BuildRequires: python3-devel
> A package that has both python2 and python3 files will need to BuildRequire
> both.
> 
> Please recognize that in BR, depending from the abilities of your package.
Comment 20 He Rui 2011-05-17 05:42:59 EDT
(In reply to comment #19)
> Thanks for reminding, replaced the python-devel with 'python2-devel':
> https://fedorahosted.org/nitrate/browser/trunk/nitrate/nitrate.spec
> 
> or download it via:
> https://fedorahosted.org/nitrate/export/707d2efb843d58f6ae0a92bce63a0f6ca29068b0/trunk/nitrate/nitrate.spec
> 
> The source rpm could be found here:
> https://fedorahosted.org/releases/n/i/nitrate/nitrate-3.3.4-1.src.rpm
> 
> (In reply to comment #18)
> > From the Python packaging guidelines:
> > (http://fedoraproject.org/wiki/Packaging:Python#BuildRequires)
> > 
> > To build a package containing python2 files, you need to have
> > BuildRequires: python2-devel
> > Similarly, when building a package which ships python3 files, you need
> > BuildRequires: python3-devel
> > A package that has both python2 and python3 files will need to BuildRequire
> > both.
> > 
> > Please recognize that in BR, depending from the abilities of your package.

Is it ok now? Can anyone review it and provide some updates?
Comment 21 Jens Petersen 2011-05-18 23:51:21 EDT
Perhaps I can help out with this review if Michel is busy and doesn't mind?
Comment 22 Jens Petersen 2011-05-24 03:13:52 EDT
Last comment from Michel was in April, so I guess he is busy and
I would like to take over this review to help the QA Nitrate team
move this package review forward.
Comment 23 Jens Petersen 2011-05-24 03:25:46 EDT
I can sponsor Yuguang on successful completion of this review.
Comment 24 Jens Petersen 2011-05-24 22:41:27 EDT
(In reply to comment #19)
> https://fedorahosted.org/nitrate/browser/trunk/nitrate/nitrate.spec
> https://fedorahosted.org/nitrate/export/707d2efb843d58f6ae0a92bce63a0f6ca29068b0/trunk/nitrate/nitrate.spec

Please use fedorapeople in future - it is easier and more transparent.
Comment 25 Jens Petersen 2011-05-24 23:26:32 EDT
rpmlint output:

nitrate.src: W: invalid-url URL: https://fedorahosted.org/nitrate/browser/trunk/nitrate <urlopen error The read operation timed out>
nitrate.src:95: W: macro-in-comment %{_datadir}
nitrate.src:95: W: macro-in-comment %{name}
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

nitrate.noarch: E: explicit-lib-dependency python-hashlib
nitrate.noarch: W: invalid-url URL: https://fedorahosted.org/nitrate/browser/trunk/nitrate <urlopen error The read operation timed out>
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/search.png.svn-base
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/plugins/linkautodetect/editor_plugin.js
nitrate.noarch: E: wrong-script-end-of-line-encoding /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/plugins/linkautodetect/editor_plugin.js
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base/content_grid.css.svn-base
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/media/js/lib/highcharts/highcharts201.src.js
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/templates/run/all.html
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/italic.png.svn-base
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/templates/plan/all.html
nitrate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/thumbnail.py 0644L /usr/bin/python
nitrate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/odfmanifest.py 0644L /usr/bin/python
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base/content.css.svn-base
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/media/js/lib/highcharts/highcharts201.js
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/undo.png.svn-base
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/media/js/lib/highcharts/modules/exporting.js
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/table.png.svn-base
nitrate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/userfield.py 0644L /usr/bin/python
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/underline.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/table.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/numlist.png.svn-base
nitrate.noarch: E: non-executable-script /usr/share/nitrate/contrib/tools/sync_build.py 0644L /usr/bin/python
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn/text-base/icon-fb_show.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base/ui.css.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/template.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base/content_base.css.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn/text-base/icon-fb_show-hover.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/menu/.svn/prop-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/search.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/code.png.svn-base
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/media/js/lib/highcharts/highcharts.js
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/media.png.svn-base
nitrate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/setup.py 0644L /usr/bin/env
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/templates/run/execute.html
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/cleanup.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/unlink.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/numlist.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/menu/.svn/prop-base/icon-mceOpen.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/blockquote.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/entries
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn/text-base/icon-mceResize.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/bold.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/bold.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/charmap.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/underline.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/fullscreen.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/image.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/charmap.png.svn-base
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/plugins/linkautodetect/editor_plugin_src.js
nitrate.noarch: E: wrong-script-end-of-line-encoding /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/plugins/linkautodetect/editor_plugin_src.js
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/link.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn/prop-base
nitrate.noarch: W: hidden-file-or-dir /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/.svn
nitrate.noarch: W: hidden-file-or-dir /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/.svn
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/.svn/all-wcprops
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/redo.png.svn-base
nitrate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/load.py 0644L /usr/bin/python
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/.svn/entries
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base/content_documentstructure.css.svn-base
nitrate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tcms/core/lib/djangotinymce/setup.py 0644L /usr/bin/env
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/blockquote.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/pasteword.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/menu/.svn/text-base/icon-mceOpen.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/entries
nitrate.noarch: W: hidden-file-or-dir /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn
nitrate.noarch: W: hidden-file-or-dir /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/all-wcprops
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/image.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/bullist.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/show_advanced.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/undo.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base/dialog.css.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/bullist.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/cleanup.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/menu/.svn/entries
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn/prop-base/icon-fb_show.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/redo.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn/prop-base/icon-mceResize.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/menu/.svn/text-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/italic.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn/prop-base/icon-fb_show-hover.png.svn-base
nitrate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/odf2xhtml.py 0644L /usr/bin/python
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/all-wcprops
nitrate.noarch: W: hidden-file-or-dir /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn
nitrate.noarch: W: hidden-file-or-dir /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/media.png.svn-base
nitrate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/manifest.py 0644L /usr/bin/python
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/pasteword.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base/content_documentstructure_de.css.svn-base
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/media/js/lib/highcharts/modules/exporting.src.js
nitrate.noarch: E: wrong-script-end-of-line-encoding /usr/share/nitrate/media/js/lib/highcharts/modules/exporting.src.js
nitrate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/element.py 0644L /usr/bin/python
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/template.png.svn-base
nitrate.noarch: W: hidden-file-or-dir /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/menu/.svn
nitrate.noarch: W: hidden-file-or-dir /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/menu/.svn
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/templates/case/all.html
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/visualchars.png.svn-base
nitrate.noarch: W: hidden-file-or-dir /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn
nitrate.noarch: W: hidden-file-or-dir /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn/text-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/link.png.svn-base
nitrate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/elementtypes.py 0644L /usr/bin/python
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/code.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base/content_documentstructure_en.css.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/menu/.svn/all-wcprops
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/plugins/linkautodetect/changelog.txt
nitrate.noarch: E: wrong-script-end-of-line-encoding /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/plugins/linkautodetect/changelog.txt
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base/content_typography.css.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/prop-base/fullscreen.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/visualchars.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base/content_grid copy.css.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/unlink.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/show_advanced.png.svn-base
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn/entries
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/icons/.svn/all-wcprops
nitrate.noarch: E: script-without-shebang /usr/share/nitrate/templates/profile/recent.html
nitrate.noarch: E: version-control-internal-file /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/.svn/text-base
1 packages and 0 specfiles checked; 108 errors, 11 warnings.
Comment 26 He Rui 2011-05-25 00:48:17 EDT
(In reply to comment #25)
> rpmlint output:
> ...

Thanks for running it, Jens.

Hi Victor and yuguang, the explanation of common rpmlint issues are described in the link below in case you have any doubt about them: 

http://fedoraproject.org/wiki/Common_Rpmlint_issues
Comment 27 Jens Petersen 2011-05-25 00:55:57 EDT
(In reply to comment #25)
> rpmlint output:
> 
> nitrate.src: W: invalid-url URL:
> https://fedorahosted.org/nitrate/browser/trunk/nitrate <urlopen error The read
> operation timed out>

Project URL should be https://fedorahosted.org/nitrate/

> nitrate.src:95: W: macro-in-comment %{_datadir}
> nitrate.src:95: W: macro-in-comment %{name}

Please remove the comment if it is not needed.

> nitrate.noarch: E: explicit-lib-dependency python-hashlib

This might be a rpmlint false positive?

> nitrate.noarch: E: version-control-internal-file
> /usr/share/nitrate/media/js/lib/tinymce/jscripts/tiny_mce/themes/advanced/skins/grappelli/img/buttons/.svn/text-base/search.png.svn-base

Do you really need to include all all those .svn files?
If not better to remove them at least from the binary package.

Anyway looks like tinymce should be a separate package!!
See the package review in bug 608574.

It would be good if you could please do a check of the tinymce package
and post any comments there in the review.

> nitrate.noarch: E: script-without-shebang
> /usr/share/nitrate/media/js/lib/highcharts/highcharts201.src.js

> nitrate.noarch: E: script-without-shebang
> /usr/share/nitrate/templates/run/all.html

> nitrate.noarch: E: script-without-shebang
> /usr/share/nitrate/templates/plan/all.html

> nitrate.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/thumbnail.py 0644L
> /usr/bin/python
> nitrate.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/odfmanifest.py 0644L
> /usr/bin/python

> nitrate.noarch: E: script-without-shebang
> /usr/share/nitrate/media/js/lib/highcharts/highcharts201.js

> nitrate.noarch: E: script-without-shebang
> /usr/share/nitrate/media/js/lib/highcharts/modules/exporting.js

> nitrate.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/userfield.py 0644L
> /usr/bin/python

> nitrate.noarch: E: non-executable-script
> /usr/share/nitrate/contrib/tools/sync_build.py 0644L /usr/bin/python

> nitrate.noarch: E: script-without-shebang
> /usr/share/nitrate/media/js/lib/highcharts/highcharts.js

> nitrate.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/setup.py 0644L
> /usr/bin/env
> nitrate.noarch: E: script-without-shebang
> /usr/share/nitrate/templates/run/execute.html

> nitrate.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/load.py 0644L
> /usr/bin/python

> nitrate.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/tcms/core/lib/djangotinymce/setup.py 0644L
> /usr/bin/env

> nitrate.noarch: E: script-without-shebang
> /usr/share/nitrate/media/js/lib/highcharts/modules/exporting.src.js
> nitrate.noarch: E: wrong-script-end-of-line-encoding
> /usr/share/nitrate/media/js/lib/highcharts/modules/exporting.src.js
> nitrate.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/element.py 0644L
> /usr/bin/python

> nitrate.noarch: E: script-without-shebang
> /usr/share/nitrate/templates/case/all.html

> nitrate.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/tcms/core/lib/odfpy/odf/elementtypes.py 0644L
> /usr/bin/python

> nitrate.noarch: E: script-without-shebang
> /usr/share/nitrate/templates/profile/recent.html

Most of these need some attention too I believe.
Comment 28 Jens Petersen 2011-05-25 01:04:10 EDT
(In reply to comment #26)
> http://fedoraproject.org/wiki/Common_Rpmlint_issues

Or you can run rpmlint with --info option for more verbose output
with explanation of messages.
Comment 29 Jens Petersen 2011-05-25 01:39:14 EDT
Also a few more comments:

- no license file included: please include GPL2 COPYING file.

- if you are including other (js) libraries, etc, you should list
  the upstream projects in a README say.
Comment 30 Yuguang Wang 2011-05-27 05:44:05 EDT
Hey Jens,

Thanks for your help :)

I've updated the spec files, added LICENSE files according to your suggestion.

Now after I run rpmlint, I get:

nitrate.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/tcms/core/lib/odfpy/odf/element.py 0644 /usr/bin/python
nitrate.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/tcms/core/lib/odfpy/odf/elementtypes.py 0644 /usr/bin/python
nitrate.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/tcms/core/lib/odfpy/odf/load.py 0644 /usr/bin/python
nitrate.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/tcms/core/lib/odfpy/odf/odfmanifest.py 0644 /usr/bin/python
nitrate.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/tcms/core/lib/djangotinymce/setup.py 0644 /usr/bin/env
nitrate.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/tcms/core/lib/odfpy/odf/userfield.py 0644 /usr/bin/python
nitrate.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/tcms/core/lib/odfpy/odf/manifest.py 0644 /usr/bin/python
nitrate.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/tcms/core/lib/odfpy/setup.py 0644 /usr/bin/env
nitrate.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/tcms/core/lib/odfpy/odf/thumbnail.py 0644 /usr/bin/python
nitrate.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/tcms/core/lib/odfpy/odf/odf2xhtml.py 0644 /usr/bin/python

Found another bug related to this issue:
https://bugzilla.redhat.com/show_bug.cgi?id=529250

Should it be an rpmlint bug?

Regarding to http://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Remove_shebang_from_Python_libraries,

I manually deleted the #!/usr/bin/python shebang from the odfpy libraries etc, and the rpmlint is clean now:

#rpmlint nitrate-3.3.4-1.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

#rpmlint nitrate.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

I placed the spec file and srpm in fedorapepole:
http://yuwang.fedorapeople.org/nitrate.spec
http://yuwang.fedorapeople.org/nitrate-3.3.4-1.src.rpm

btw, the README is located in /doc/README in project dir.

Thanks!
Comment 31 Jens Petersen 2011-05-31 22:10:26 EDT
Thanks for the update and sorry for the delay...

Few more things I noticed:

- why do you require Django = 1.2.3 ?

No current releases are using that version:
https://admin.fedoraproject.org/community/?package=Django#package_maintenance

- you have mod_python commented out as a requires

- "BuildRoot: " is now redundant and can be dropped
  - please also drop the %clean section
    and "rm -rf $RPM_BUILD_ROOT" from %install.

- there is no changelog entry for the latest changes you made in .spec
  - please bump the release field when you update the package
  - you need to add a changelog each time to document the changes you have made

- further if you change the tarball you should really bump the version

http://yuwang.fedorapeople.org/nitrate-3.3.4-1.src.rpm seems to be broken.

(BTW you don't have to upload the tarball to people since it should live at:
https://fedorahosted.org/releases/n/i/nitrate/ anyway:)

- I am not sure it is really necessary (or good idea) to put
  the release also into the page footer.  Any any functional
  changes would come from the version not the release.  But
  I don't think it needs to block the review. :)
Comment 32 Yuguang Wang 2011-06-06 22:40:21 EDT
Hey Jens,

One question, you suggested to drop "BuildRoot" but it seems after I remove this macro from spec, this variable '$RPM_BUILD_ROOT' will become undefined thus causing errors while packaging.

Thanks.
Comment 33 Yuguang Wang 2011-06-06 22:42:24 EDT
Found rpm macros definitions here:
http://fedoraproject.org/wiki/Packaging/RPMMacros , see following:

%{buildroot}          %{_buildrootdir}/%{name}-%{version}-%{release}.%{_arch}
$RPM_BUILD_ROOT       %{buildroot}
Comment 34 Jens Petersen 2011-06-09 02:03:15 EDT
(In reply to comment #32)
> One question, you suggested to drop "BuildRoot" but it seems after I remove
> this macro from spec, this variable '$RPM_BUILD_ROOT' will become undefined
> thus causing errors while packaging.

Where are you testing?  They are no longer need to be defined
for Fedora releases or EPEL 6: they are still needed for EPEL5 afaik:

https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

But if you really intend to build for EPEL5 I guess you could still keep them.
Comment 35 Yuguang Wang 2011-06-09 03:08:36 EDT
> Where are you testing?  They are no longer need to be defined
> for Fedora releases or EPEL 6: they are still needed for EPEL5 afaik:
> https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
> https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> 
> But if you really intend to build for EPEL5 I guess you could still keep them.

I'm testing using EPEL5, so I'd like to keep this variable for now.
Will remove it in next version, thanks.

I changed Django from 1.2.3 to 1.2.5, and fixed the issues you mentioned in comment 31, following is the new package:

http://yuwang.fedorapeople.org/nitrate.spec
https://fedorahosted.org/releases/n/i/nitrate/nitrate-3.3.4-2.src.rpm
https://fedorahosted.org/releases/n/i/nitrate/nitrate-3.3.4.tar.bz2

Thanks :)
Comment 36 Athmane Madjoudj 2011-06-13 10:58:01 EDT
Seems it has some bundled libraries:

./tcms/core/lib/odfpy => provided by package: odfpy.noarch
./tcms/core/lib/django-pagination => provided by package: django-pagination.noarch



http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 37 Jens Petersen 2011-06-13 23:43:57 EDT
Thanks for the update.

The rpmlint now looks clean - very good.

Any suggestions how to test the package?

(In reply to comment #35)
> I changed Django from 1.2.3 to 1.2.5

Ok, but the question was: (why) do you need to specify the version there?
Current Fedora has version 1.3. ;)  I suggest not to specify the version
or if you want to safeguard with a minimum safe django version use >=.
The easiest is just to drop the version unless it is absolutely needed.

> and fixed the issues you mentioned in comment 31

So you need mod_python?

> http://yuwang.fedorapeople.org/nitrate.spec
> https://fedorahosted.org/releases/n/i/nitrate/nitrate-3.3.4-2.src.rpm
> https://fedorahosted.org/releases/n/i/nitrate/nitrate-3.3.4.tar.bz2

You changed the tarball without bumping the version
which is generally considered bad practice.

(You don't have to keep the upstream .spec file in sync for this
review BTW, though you are free to backport changes when you want.)

https://fedoraproject.org/wiki/PackagingDrafts/JavaScript

As I said before I would like to see a declaration of all the
third-party (javascript) libraries being used by nitrate,
where they come from, and their license.

Did you look at the tinymce review?  (bug 608574)

This library is large and certainly should be packaged separately.
Since the above referenced package review seems to have stalled
perhaps you could help to get the package into Fedora.

(In reply to comment #36)
> ./tcms/core/lib/odfpy => provided by package: odfpy.noarch
> ./tcms/core/lib/django-pagination => provided by package:
> django-pagination.noarch

Thanks Athmane for catching this.
Comment 38 Yuguang Wang 2011-06-16 02:36:11 EDT
Wow, no bundled libraries allowed! I need to remove them from the source, need some configuration work to do.
(In reply to comment #36)
> Seems it has some bundled libraries:
> 
> ./tcms/core/lib/odfpy => provided by package: odfpy.noarch
> ./tcms/core/lib/django-pagination => provided by package:
> django-pagination.noarch
> 
> 
> 
> http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

> (In reply to comment #35)
> > I changed Django from 1.2.3 to 1.2.5
> 
> Ok, but the question was: (why) do you need to specify the version there?
> Current Fedora has version 1.3. ;)  I suggest not to specify the version
> or if you want to safeguard with a minimum safe django version use >=.
> The easiest is just to drop the version unless it is absolutely needed.

I haven't tested it in 1.3 or higher, we're using 1.2.5 currently, I'm worrying about the compatibility issues..
I'll have some test and give a minimum version if possible :)
 
> > and fixed the issues you mentioned in comment 31
> 
> So you need mod_python?

mod_python is not necessary for the package itself, it's needed during the deployment. I think remove this package is ok, I'll do that.
 

> https://fedoraproject.org/wiki/PackagingDrafts/JavaScript
> 
> As I said before I would like to see a declaration of all the
> third-party (javascript) libraries being used by nitrate,
> where they come from, and their license.
> 
> Did you look at the tinymce review?  (bug 608574)
> 
> This library is large and certainly should be packaged separately.
> Since the above referenced package review seems to have stalled
> perhaps you could help to get the package into Fedora.
> 
> (In reply to comment #36)
> > ./tcms/core/lib/odfpy => provided by package: odfpy.noarch
> > ./tcms/core/lib/django-pagination => provided by package:
> > django-pagination.noarch
> 
okay I'll do that.

Seems there's still some work to do, will update after all these problems fixed.
Thanks for your help on this.
Comment 39 Jens Petersen 2011-06-16 03:07:30 EDT
(In reply to comment #38)
> mod_python is not necessary for the package itself, it's needed during the
> deployment. I think remove this package is ok, I'll do that.

Ok thanks for explanation.

Well if it is needed to use the package normally you can leave it in,
otherwise if it is optional then better to remove the dependency.
Comment 40 Yuguang Wang 2011-06-19 23:20:43 EDT
django-pagination and odfpy removed from source, set them as denpendency packages.
Now waiting for tinymce review(bug 608574), I could also do some review work.

Thanks.
Comment 41 Jens Petersen 2011-06-23 20:42:26 EDT
(In reply to comment #40)
> Now waiting for tinymce review(bug 608574), I could also do some review work.

The review is stalled since Dec. ;)
I recommend trying to help getting it moving again or
if they are no longer interested submitting a new tinymce package for review. :)
Comment 42 He Rui 2011-06-23 22:32:54 EDT
(In reply to comment #41)
> (In reply to comment #40)
> > Now waiting for tinymce review(bug 608574), I could also do some review work.
> 
> The review is stalled since Dec. ;)
> I recommend trying to help getting it moving again or
> if they are no longer interested submitting a new tinymce package for review.
> :)

We've contacted the tinymce package owner, he can do the fix-ups if there's a reviewer. I've sent out a review request to the devel@:

http://lists.fedoraproject.org/pipermail/devel/2011-June/153277.html
Comment 43 Jens Petersen 2011-06-30 03:38:01 EDT
Thanks - I will wait for the tinymce review then.

What about the other libraries currently bundled in nitrate?
Comment 44 Yuguang Wang 2011-06-30 21:51:42 EDT
'odfpy' and 'django-pagination' has been removed from source.
there're two libraries bundled in nitrate now:
wadofstuff(http://pypi.python.org/pypi/wadofstuff-django-serializers)
xml2dict(code.google.com/p/xml2dict/)

I didn't find them in fedora.
Comment 45 Jens Petersen 2011-06-30 22:41:51 EDT
I see.

Any reason not to package them separately?
Comment 46 Yuguang Wang 2011-07-28 23:14:36 EDT
Busy with other stuffs these days, sorry for late reply.

Nitrate uses wadofstuff for serializing data into json and xml2dict for
validating xml files.

Those two libraries(wadofstuff and xml2dict) are light weight with no more than 500 lines of codes in all and are both available at pypi.python.org, since it may take more time get them reviewed, how about include them into nitrate directly?

Since TinyMCE is ready I'll remove the bundled codes from nitrate now, will reply when it's ready.

Thanks :)
Comment 47 Jens Petersen 2011-08-01 00:53:18 EDT
(In reply to comment #46)
> Those two libraries(wadofstuff and xml2dict) are light weight with no more than
> 500 lines of codes in all and are both available at pypi.python.org, since it
> may take more time get them reviewed, how about include them into nitrate
> directly?

I would like to say yes but I think you really need to submit them for package
reviews: hopefully if they are small and clean then their reviews should
not take too long.  I suggest filing reviews for them asap to not delay
nitrate further.  I can certainly try to review one or both of them as your
sponsor.  Once you are sponsored a lot more people can help with reviewing
your packages.
Comment 48 Yuguang Wang 2011-08-01 01:07:27 EDT
(In reply to comment #47)
> I would like to say yes but I think you really need to submit them for package
> reviews: hopefully if they are small and clean then their reviews should
> not take too long.  I suggest filing reviews for them asap to not delay
> nitrate further.  I can certainly try to review one or both of them as your
> sponsor.  Once you are sponsored a lot more people can help with reviewing
> your packages.

Thanks for updating. Seem another one django-tinymce also needs to be reviewed. I'll file those 3 packages for review.
Comment 49 Yuguang Wang 2011-08-08 01:43:06 EDT
'django-tinymce', 'xml-dict', 'wadofstuff-django-serializers' filed, 
added them as dependencies.

I guess those js libraries such as prototype or livepipe or tablekit needn't be packaged separately, right?
Comment 50 James Laska 2011-08-09 15:59:50 EDT
(In reply to comment #49)
> I guess those js libraries such as prototype or livepipe or tablekit needn't be
> packaged separately, right?

As I understand it ... under the current review guidelines *javascript* (not *java*) is exempted from the "No Bundled Libraries" [1] policy.  From [2] ...

   In this RPM packaging context, the definition of the term 'library'
   includes: compiled third party source code resulting in shared or static
   linkable files, interpreted third party source code such as Python, PHP and
   others. At this time JavaScript intended to be served to a web browser is
   specifically exempted from this but this will likely change in the future.

I'm not sure where the line between javascript library and javascript framework.  Hopefully someone else can clarify the scope there.

[1] https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
Comment 51 Jens Petersen 2011-08-11 00:25:15 EDT
Ah, thank you James for that information.
Are javascript frameworks mentioned there somewhere?

So then it sounds like the separate packaging I requested
is not strictly necessary?  Anyway I glad that tinymce
was packaged up.

If Fedora later changes the bundling policy for website javascript,
I think it may be hard work to clean up...
Comment 52 James Laska 2011-08-11 08:34:30 EDT
(In reply to comment #51)
> Ah, thank you James for that information.
> Are javascript frameworks mentioned there somewhere?

You know, I was wondering that too.  I don't see them explicitly mentioned, and it's hard to determine where the line is between a collection of .js files (libraries) and a framework.  We can certainly raise this topic on packaging@ for clarification.  Some initial poking I did gave me the same impression you note later on ... that this is just the *current* policy, and it's subject to change.

> So then it sounds like the separate packaging I requested
> is not strictly necessary?  Anyway I glad that tinymce
> was packaged up.
> 
> If Fedora later changes the bundling policy for website javascript,
> I think it may be hard work to clean up...

Agreed!  If js frameworks are okay to bundle for now, I think it would still be wise to at least start package reviews for them ... but not require their completion for this review?  Thoughts/comments/concerns?
Comment 53 Jens Petersen 2011-08-17 05:34:20 EDT
Do you have an update to this package then?
so we can continue with the review or
do you prefer we quickly review the new packages first?
Comment 54 Yuguang Wang 2011-08-17 05:46:48 EDT
I'd prefer a quick review on the new packages first.
for nitrate, I think I could provide a new package early next week.
Thanks. :)
(In reply to comment #53)
> Do you have an update to this package then?
> so we can continue with the review or
> do you prefer we quickly review the new packages first?
Comment 55 Jens Petersen 2011-08-19 02:39:40 EDT
Ok that's cool.  I think all 3 now need input from you. :)
Comment 57 Jens Petersen 2011-09-02 05:32:47 EDT
Thanks for the update.

(In reply to comment #56)
> https://fedorahosted.org/nitrate/browser/trunk/nitrate/nitrate.spec

Better to post in fedorapeople in future: this downloads an html page.

I had a quick look over the the spec file: I think it looks ok so far.
Comment 58 Jens Petersen 2012-02-23 21:35:31 EST
Still waiting on xml2dict review...
Comment 59 Michael Scherer 2012-03-20 17:31:22 EDT
Since 728837 is closed, xml2dict is in , can this review start again ?
Comment 60 Yuguang Wang 2012-03-21 02:50:30 EDT
All dependencies are reviewed.
This review is still under 3.3, while nitrate is on it's way to 4.0 after 3.4, 3.5 and 3.6 released. I'll discuss with my teammates and see where should we start. Will reply next week, thanks.
Comment 61 Yuguang Wang 2012-04-01 05:10:30 EDT
add yawli to cc list.
Comment 62 Michael Scherer 2012-05-25 13:17:43 EDT
No news on this review ?
Comment 63 Jens Petersen 2012-07-26 21:28:12 EDT
Okay let us know when you are ready.

Since you are already well-sponsored I believe I'm releasing myself
from this review for now, but ping me if you need more help.
I will try to follow the review anyway.
Comment 64 Yuguang Wang 2012-08-08 22:47:09 EDT
(In reply to comment #63)
> Okay let us know when you are ready.
> 
> Since you are already well-sponsored I believe I'm releasing myself
> from this review for now, but ping me if you need more help.
> I will try to follow the review anyway.

Thanks for the sponsorship. 
I've been busy with another project recently, AFAIK TCMS 3.8 is released, there're big changes between 3.4 and 3.8.
I think it would be more appropriate to use the latest source.

@yawli, would you please help arrange resource on the review?
Comment 65 James Hogarth 2015-12-03 21:30:51 EST
There have been a few years since the last comment.

Is there any intention to progress this?

As per policy if there is no response within a week this bug will be closed.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
Comment 66 James Hogarth 2015-12-11 11:05:49 EST
It's been over a week with no response from the requestor to the NeedsInfo flag.

Closing as per policy.

Note You need to log in before you can comment on or make changes to this bug.